#include<bits/stdc++.h>
#include<iostream>
long long L,R,N=0;
float p,q,r;

			
int main(){
	using namespace std;
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);	
cin>>p>>q>>r>>L>>R;
if (R<=120)
	{
		for(int i=L;i<=R;i++){
		
		if((ceil(i/p) + ceil(i/q) + ceil(i/r)) <=i)
		{
		
			
			N++;
	}
}
}
	else{
		for(int i=L;i<=120;i++){
		
		if((ceil(i/p) + ceil(i/q) + ceil(i/r)) <=i){
			
			N++;
	}
}
N=N+R-120;
}
cout<<N;
}